<p-table
  [value]="games" 
  [loading]="loading"
  [rows]="30" 
  [showCurrentPageReport]="true"
  [scrollable]="true" scrollHeight="flex"
  dataKey="id"
  [paginator]="true"
  >
  <!-- <ng-template pTemplate="caption">
    <button pButton pRipple label="New Game" icon="pi pi-plus" class="p-button-success mr-2" (click)="openNew()"></button>
  </ng-template> -->

  <ng-template pTemplate="header">
    <tr>
      <th>Date</th>
      <th pSortableColumn="teamId">Team
        <p-sortIcon field="teamId"></p-sortIcon>
      </th>
      <th pSortableColumn="player">Player
        <p-sortIcon field="player"></p-sortIcon>
      </th>
      <th pSortableColumn="position">Position
        <p-sortIcon field="position"></p-sortIcon>
      </th>
      <th>Actions</th>
    </tr>
  </ng-template>
  <ng-template pTemplate="body" let-game let-editing="editing" let-ri="rowIndex">
    <tr [pEditableRow]="game">
      <td class="date-td">{{ game.date }}</td>
      <td>{{ game.teamId }}</td>
      <td>{{ game.player }}</td>
      <td>
        {{ game.position }}
      </td>
      <td class="games-actions">
        <!-- <button pButton type="button" icon="pi pi-eye" (click)="showGame(game)" class="p-button-rounded p-button-text"></button> -->
        <button pButton pRipple type="button" icon="pi pi-pencil" (click)="openEdit(game)" class="p-button-rounded p-button-text"></button>
        <!-- <button pButton pRipple icon="pi pi-trash" class="p-button-rounded p-button-danger p-button-text" (click)="deleteGame(game)"></button> -->
      </td>
    </tr>
  </ng-template>
</p-table>

<p-dialog [(visible)]="gameDialog" [style]="{ width: '450px' }" [header]="actionMode + ' game'" [modal]="true" styleClass="p-fluid">
  <ng-template pTemplate="content">
      <div class="field">
          <label for="player">Player</label>
          <input [disabled]="true" type="text" pInputTextarea id="player" [(ngModel)]="newGame.player" required autofocus />
          <small class="p-error" *ngIf="submitted && !newGame.player">Player is required.</small>
      </div>
      <div class="field">
        <label for="position">Position</label>
        <p-dropdown rows="5" cols="30"  appendTo="body" [(ngModel)]="newGame.position" [options]="positionOptions" placeholder="Select a Position"></p-dropdown>
        <!-- <input [disabled]="actionMode === ActionMode.VIEW" rows="5" cols="30" pInputTextarea [(ngModel)]="newGame.position"> -->
        <small class="p-error" *ngIf="submitted && !newGame.position">Position is required.</small>
      </div>
  </ng-template>

  <ng-template pTemplate="footer">
      <button pButton pRipple label="Cancel" icon="pi pi-times" class="p-button-text" (click)="hideDialog()"></button>
      <button *ngIf="actionMode !== ActionMode.VIEW" pButton pRipple label="Save" icon="pi pi-check" class="p-button-text" (click)="saveGame()"></button>
  </ng-template>
</p-dialog>

<p-toast [breakpoints]="{'768px': {width: '90%'}}"></p-toast>
<p-confirmDialog [breakpoints]="{'768px': 'unset'}" [style]="{width: '50vw'}"></p-confirmDialog>